package com.inspur.service;

import java.util.List;
import com.inspur.domain.ElevatorWorkOrder;

/**
 * 工单系统Service接口
 * 
 * @author inspur
 * @date 2024-09-20
 */
public interface IElevatorWorkOrderService 
{
    /**
     * 查询工单系统
     * 
     * @param id 工单系统主键
     * @return 工单系统
     */
    public ElevatorWorkOrder selectElevatorWorkOrderById(Long id);

    /**
     * 查询工单系统列表
     * 
     * @param elevatorWorkOrder 工单系统
     * @return 工单系统集合
     */
    public List<ElevatorWorkOrder> selectElevatorWorkOrderList(ElevatorWorkOrder elevatorWorkOrder);

    /**
     * 新增工单系统
     * 
     * @param elevatorWorkOrder 工单系统
     * @return 结果
     */
    public int insertElevatorWorkOrder(ElevatorWorkOrder elevatorWorkOrder);

    /**
     * 修改工单系统
     * 
     * @param elevatorWorkOrder 工单系统
     * @return 结果
     */
    public int updateElevatorWorkOrder(ElevatorWorkOrder elevatorWorkOrder);

    /**
     * 批量删除工单系统
     * 
     * @param ids 需要删除的工单系统主键集合
     * @return 结果
     */
    public int deleteElevatorWorkOrderByIds(Long[] ids);

    /**
     * 删除工单系统信息
     * 
     * @param id 工单系统主键
     * @return 结果
     */
    public int deleteElevatorWorkOrderById(Long id);
}
